@fbrennan if you say it no longer builds for you, provide the logs? it builds fine on my end in a clean chroot with jre17-openjdk
Search Criteria
Package Details: processing 4.3-2
Package Actions
Git Clone URL: | https://aur.archlinux.org/processing.git (read-only, click to copy) |
---|---|
Package Base: | processing |
Description: | Programming environment for creating images, animations and interactions |
Upstream URL: | https://www.processing.org/ |
Licenses: | GPL, LGPL |
Submitter: | arojas |
Maintainer: | lesto (letorbi) |
Last Packager: | letorbi |
Votes: | 16 |
Popularity: | 0.37 |
First Submitted: | 2020-05-01 19:31 (UTC) |
Last Updated: | 2023-08-20 19:38 (UTC) |
Dependencies (7)
- ffmpeg (ffmpeg-cuda, ffmpeg-nonvidia, ffmpeg-libfdk_aac, ffmpeg-intel-full-git, ffmpeg-v4l2-request-git, ffmpeg-mmal, ffmpeg-git, ffmpeg-full-git, ffmpeg-amd-full, ffmpeg-nvcodec-11-1-git, ffmpeg-amd-full-git, ffmpeg-nocuda, ffmpeg-mpp, ffmpeg-headless, ffmpeg-full, ffmpeg-decklink, ffmpeg-obs)
- java-environment-openjdk (zulu-10-bin, jdk12-openj9-bin, zulu-12-bin, jdk13-openj9-bin, jdk9-openj9-bin, jdk10-openj9-bin, jdk14-openj9-bin, zulu-14-bin, sapmachine-jdk-bin, jdk8-openjdk-shenandoah, zulu-16-bin, jdk16-adoptopenjdk, jdk16-microsoft-openjdk, jdk11-msopenjdk-bin, jdk18-beta-temurin, liberica-jdk-11-bin, liberica-jdk-11-lite-bin, liberica-jre-11-bin, java-openjdk-loom-ea-bin, jdk16-openjdk, jdk13-openjdk, jdk14-openjdk, zulu-18-bin, zulu-13-bin, jdk11-openj9-bin, jdk-openj9-bin, jdk18-openjdk, jdk-android-studio, zulu-19-bin, liberica-jre-11-full-bin, jdk13-openjdk-bin, jdk8-openjdk-xdg, jdk17-openjdk-xdg, jdk15-openjdk, liberica-jre-8-full-bin, jdk18-temurin, jdk19-openjdk, jdk11-microsoft-openjdk, jdk11-openjdk-dcevm, jdk12-openjdk, jdk8-dragonwell-extended, jdk-jetbrains, jdk8-dragonwell-extended-bin, jdk8-dragonwell-standard-bin, jdk11-dragonwell-extended-bin, jdk11-dragonwell-standard-bin, jdk11-jetbrains-bin, jdk17-dragonwell-standard-bin, zulu-8-bin, zulu-20-bin, zulu-jdk-fx-bin, jdk-temurin, liberica-jdk-8-full-bin, jdk8-adoptopenjdk, liberica-jdk-11-full-bin, liberica-jdk-17-full-bin, zulu-15-bin, jdk21-jetbrains-bin, jdk17-jetbrains-bin, jdk-microsoft-openjdk, jdk17-openj9-bin, java-openjdk-bin, zulu-21-bin, liberica-jdk-full-bin, jdk-openjdk-xdg, jdk11-temurin, jdk17-temurin, zulu-11-bin, zulu-17-bin, jre-jetbrains, java-openjdk-ea-bin, jdk-openjdk, jdk11-openjdk, jdk17-openjdk, jdk8-openjdk)
- ant (ant-git) (make)
- gendesk (make)
- rsync (rsync-git, rsync-reflink-git, rsync-reflink) (make)
- unzip (unzip-natspec, unzip-zstd) (make)
- processing-examples (optional) – Examples for Processing
Required by (1)
Sources (4)
eclairevoyant commented on 2023-05-01 22:00 (UTC) (edited on 2023-05-01 22:01 (UTC) by eclairevoyant)
letorbi commented on 2023-05-01 19:05 (UTC)
Thanks for the patch. However, I can still build the package with java-environment-openjdk=17. Can anyone confirm that jdk17-temurin is required?
fbrennan commented on 2023-05-01 06:09 (UTC)
Here's a patch as this no longer builds:
diff --git a/PKGBUILD b/PKGBUILD
index 152190f..c78d40b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -11,7 +11,7 @@ arch=(x86_64)
pkgdesc='Programming environment for creating images, animations and interactions'
url='https://www.processing.org/'
license=(GPL LGPL)
-depends=('java-environment-openjdk=17' ffmpeg)
+depends=(jdk17-temurin ffmpeg)
optdepends=('processing-examples: Examples for Processing')
makedepends=(ant gendesk rsync unzip)
options=(!strip)
@@ -26,8 +26,8 @@ sha256sums=('bc3891e286861d6ba835e5dae4efba3a6c84697c7a3264c24b4670e17c0fb1bb'
prepare() {
# Check if OpenJDK 17 executable is actually installed
- if ! [ -f "/usr/lib/jvm/java-17-openjdk/bin/java" ]; then
- echo "Error: OpenJDK 17 executable '/usr/lib/jvm/java-17-openjdk/bin/java' is missing."
+ if ! [ -f "/usr/lib/jvm/java-17-temurin/bin/java" ]; then
+ echo "Error: OpenJDK 17 executable '/usr/lib/jvm/java-17-temurin/bin/java' is missing."
sh -c "exit 1"
fi
# Check if FFmpeg executable is actually installed
@@ -53,7 +53,7 @@ prepare() {
build() {
cd "$pkgname/build"
- JAVA_HOME="/usr/lib/jvm/java-17-openjdk" ant build
+ JAVA_HOME="/usr/lib/jvm/java-17-temurin" ant build
}
package() {
@@ -76,7 +76,7 @@ package() {
# Link processing's internal java-command to the system's one
mkdir -p "$pkgdir/usr/share/processing/java/bin/"
- ln -s "/usr/lib/jvm/java-17-openjdk/bin/java" "$pkgdir/usr/share/processing/java/bin/java"
+ ln -s "/usr/lib/jvm/java-17-temurin/bin/java" "$pkgdir/usr/share/processing/java/bin/java"
# Link processing's internal ffmpeg-command to the system's one
ln -s "/usr/bin/ffmpeg" "$pkgdir/usr/share/processing/tools/MovieMaker/tool/"
OpenSauce commented on 2023-03-01 23:51 (UTC) (edited on 2023-03-04 15:54 (UTC) by OpenSauce)
Oh, sorry! I forgot that it was a part of base-devel
Only caught it because of a fresh install I recently did on a laptop and forgot to install base-devel 😅
letorbi commented on 2023-02-27 20:55 (UTC)
@OpenSauce Thanks for the hint, but @eclairevoyant is right. Since patch is part of base-devel, it should not be added to the dependencies. See also https://wiki.archlinux.org/title/Arch_User_Repository#Getting_started and https://wiki.archlinux.org/title/PKGBUILD#makedepends.
eclairevoyant commented on 2023-02-27 14:36 (UTC)
@OpenSauce Please read the wiki. patch
is part of base-devel
.
OpenSauce commented on 2023-02-27 14:16 (UTC)
This package is missing the dependency patch
, and will fail to build if it is not already installed.
pedrogabriel commented on 2023-01-03 03:00 (UTC)
Hope it returns to the community repo now since it now uses a sane version of java
letorbi commented on 2022-08-19 19:32 (UTC)
The package processing4 has been merged into the processing package. This not only affects the codebase, but also comments and votes.
Pinned Comments